## zebrastripe zebrastripe |

## Properties

gint | threshold | Read / Write / Construct

## Types and Values

struct | GstZebraStripe

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstZebraStripe

## Description

## Synopsis

### Element Information

plugin | videofiltersbad
author | David Schleef <ds@entropywave.com>
class | Filter/Analysis

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ I420, Y444, Y42B, Y41B, YUY2, UYVY, AYUV, NV12, NV21, YV12 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ I420, Y444, Y42B, Y41B, YUY2, UYVY, AYUV, NV12, NV21, YV12 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstZebraStripe

    struct GstZebraStripe;

## Property Details

### The `“threshold”` property

      “threshold”                gint

Threshold above which the video is striped.

Flags: Read / Write / Construct

Allowed values: [0,100]

Default value: 90